PRO icecontour, field, hi, hs, nlevels, colors, levels, ct, z, time, nz, nt, $
                tmin, tmax, zmin, zmax, title

;
;-----------------------------------------
; Make the ice thickness, snow depth plot
;-----------------------------------------
;
LOADCT, 0
PLOT, [tmin, tmax], [zmin,zmax], /NODATA,       $
title = title, ytitle = "z[m]", CHARSIZE=1, XSTYLE = 1, YSTYLE = 1;, $
OPLOT, time , - hi
OPLOT, time , hs
;
;------------
; Dummy axes
;------------
; time
time_matrix = FLTARR(nz+2, nt)
FOR index = 0, nz+1 DO BEGIN
   time_matrix[index,*] = time[*]
ENDFOR

; depth
z_matrix = FLTARR(nz+2, nt)
z_matrix[0,*]    =  0.0
FOR index = 1, nz DO BEGIN
   z_matrix[index,*] = z[index-1,*]
ENDFOR
z_matrix[nz+1,*] =  hi

; field to plot
field_matrix = FLTARR(nz+2,nt)
field_matrix[0,*] = field[0,*]
FOR index = 1, nz DO BEGIN
   field_matrix[index,*] = field[index-1,*]
ENDFOR
field_matrix[nz+1,*] = field[nz-1,*]

;print, ' time_matrix  : ', time_matrix[*,10]
;print, ' z_matrix     : ', z_matrix[*,10]
;print, ' field_matrix : ', field_matrix[*,10]

;
;----------
; Contours
;----------
; colors
LOADCT, ct
color00 = MAX(colors)
color99 = MIN(colors)

CONTOUR, field_matrix, time_matrix, - z_matrix, /FILL, /OVERPLOT, C_COLORS = colors, levels = levels

;CONTOUR, s_i, time_matrix, - z_ip, /OVERPLOT, levels = levels, $
;C_LABELS=[  0,  1, 0, 0,  1,  1, 0, 0, 0,  1, 0, 0,   1], $
;C_ANNOTATION=['0','1','','','4','5','','','','9','','','12']

end
